﻿@model dbChange.Models.LIB.DonViChiTiet_ViTriLamViec

@using dbChange.Models.LIB

@{
    ViewData["Title"] = "Sửa";
    Layout = "~/Views/Shared/Admin/_Layout_Admin.cshtml";
    var lsDonVi = ViewData["lsDonVi"] as List<DM_BoPhanChiTiet>;
}

    <h1>Sửa</h1>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Edit">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="id" />
            <div class="form-group">
                <label asp-for="TenViTriLamViec" class="control-label">Tên vị trí làm việc</label>
                <input asp-for="TenViTriLamViec" class="form-control" />
                <span asp-validation-for="TenViTriLamViec" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="IdDonViChiTiet" class="control-label">Đơn vị</label>
                <select asp-for="IdDonViChiTiet" class="form-control">
                    @{
                        foreach (DM_BoPhanChiTiet item in lsDonVi)
                        {
                            if (Model.IdDonViChiTiet == item.Id)
                            {
                                <option selected value="@item.Id">@item.TenDonVi</option>
                            }
                            else
                            {
                                <option value="@item.Id">@item.TenDonVi</option>
                            }
                        }
                    }
                </select>
                <span asp-validation-for="IdDonViChiTiet" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Lưu" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Quay lại</a>
</div>

